/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

/*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*                rans.h:  header file for Rans/                        */
/*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/


/* Definition of uint32 (32 bit unsigned integer type) moved to globs.h */

#define CONGRUENTIAL_SEED 12345u        /* default seed values          */
#define TAUSWORTHE_SEED   1073u         /* (see rans.c)                 */

typedef unsigned int uint32;

double rans(void);
double normal(double, double);
int intran(int, int);
void setsd(uint32, uint32);
void getsd(uint32 *, uint32 *);
void get_seeds(const char *fname);
void put_seeds(const char *fname);
int rand_int(double *work, int k );
void permute(int *ab, int n);
int getranscount(void);

void setSeeds(int);
void getSeeds(int);
void assgnSeeds(int);

